import { ShaderPass } from "../../../lib/shader-module/shader-pass.js";
/**
 * Color Halftone -
 * Simulates a CMYK halftone rendering of the image by multiplying pixel values
 * with a four rotated 2D sine wave patterns, one each for cyan, magenta, yellow,
 * and black.
 */
export type ColorHalftoneProps = {
    /** The x,y coordinate of the pattern origin. */
    center?: [number, number];
    /** The rotation of the pattern in radians. */
    angle?: number;
    /** The diameter of a dot in pixels. */
    size?: number;
};
/**
 * Color Halftone -
 * Simulates a CMYK halftone rendering of the image by multiplying pixel values
 * with a four rotated 2D sine wave patterns, one each for cyan, magenta, yellow,
 * and black.
 */
export declare const colorHalftone: ShaderPass<ColorHalftoneProps, ColorHalftoneProps>;
//# sourceMappingURL=colorhalftone.d.ts.map