import { ShaderPass } from "../../../lib/shader-module/shader-pass.js";
/**
 * Hexagonal Pixelate
 * Renders the image using a pattern of hexagonal tiles.
 * Tile colors are nearest-neighbor sampled from the centers of the tiles.
 */
export type HexagonalPixelateProps = {
    /** The [x, y] coordinates of the pattern center. */
    center?: [number, number];
    /** The width of an individual tile, in pixels. */
    scale?: number;
};
/**
 * Hexagonal Pixelate
 * Renders the image using a pattern of hexagonal tiles. Tile colors
 * are nearest-neighbor sampled from the centers of the tiles.
 */
export declare const hexagonalPixelate: ShaderPass<HexagonalPixelateProps, HexagonalPixelateProps>;
//# sourceMappingURL=hexagonalpixelate.d.ts.map